CounterCell (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Interface CounterCell

- All Superinterfaces:
    Cell, OnDiskAtom
  All Known Implementing Classes:
    BufferCounterCell, NativeCounterCell

      public interface CounterCell
      extends Cell

  A column that represents a partitioned counter.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.OnDiskAtom

      `OnDiskAtom.Serializer, OnDiskAtom.SerializerForWriting`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CounterContext` | `contextManager`

    - ### Fields inherited from interface org.apache.cassandra.db.Cell

      `MAX_NAME_LENGTH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasLegacyShards()`
    `CounterCell` | `localCopy(CFMetaData metadata, AbstractAllocator allocator)`
    `CounterCell` | `localCopy(CFMetaData metaData, MemtableAllocator allocator, OpOrder.Group opGroup)`
    `Cell` | `markLocalToBeCleared()`
    `long` | `timestampOfLastDelete()`
    `long` | `total()`

    - ### Methods inherited from interface org.apache.cassandra.db.Cell

      `cellDataSize, diff, getString, isLive, isLive, name, reconcile, serializationFlags, serializedSize, unsharedHeapSizeExcludingData, value, withUpdatedName, withUpdatedTimestamp, withUpdatedTimestampAndLocalDeletionTime`

    - ### Methods inherited from interface org.apache.cassandra.db.OnDiskAtom

      `getLocalDeletionTime, timestamp, updateDigest, validateFields`

- - ### Field Detail

    - #### contextManager

          static final CounterContext contextManager

  - ### Method Detail

    - #### timestampOfLastDelete

          long timestampOfLastDelete()

    - #### total

          long total()

    - #### hasLegacyShards

          boolean hasLegacyShards()

    - #### markLocalToBeCleared

          Cell markLocalToBeCleared()

    - #### localCopy

          CounterCell localCopy(CFMetaData metadata,
                                AbstractAllocator allocator)

      Specified by:
        `localCopy` in interface `Cell`

    - #### localCopy

          CounterCell localCopy(CFMetaData metaData,
                                MemtableAllocator allocator,
                                OpOrder.Group opGroup)

      Specified by:
        `localCopy` in interface `Cell`

Copyright © 2018 The Apache Software Foundation